List tools
GET/v1/tool_sets/{toolSetId}/tools
List tools
curl https://api.cadenya.com/v1/tool_sets/$TOOL_SET_ID/tools \
-H "Authorization: Bearer $CADENYA_API_KEY"{
"items": [
{
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"name": "name",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"spec": {
"config": {
"http": {
"requestMethod": "GET",
"headers": {
"foo": "string"
},
"path": "path",
"query": "query",
"requestBodyContentType": "requestBodyContentType",
"requestBodyTemplate": "requestBodyTemplate",
"toolName": "toolName"
},
"mcp": {
"toolDescription": "toolDescription",
"toolName": "toolName",
"toolTitle": "toolTitle"
}
},
"description": "description",
"parameters": {
"foo": "bar"
},
"status": "TOOL_STATUS_UNSPECIFIED",
"requiresApproval": true
},
"info": {
"createdBy": {
"metadata": {
"id": "id",
"accountId": "accountId",
"name": "name",
"profileId": "profileId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"spec": {
"type": "PROFILE_TYPE_USER",
"email": "email",
"name": "name"
}
},
"toolSet": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"name": "name",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
}
}
}
],
"pagination": {
"nextCursor": "nextCursor",
"total": 0
}
}Returns Examples
{
"items": [
{
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"name": "name",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"spec": {
"config": {
"http": {
"requestMethod": "GET",
"headers": {
"foo": "string"
},
"path": "path",
"query": "query",
"requestBodyContentType": "requestBodyContentType",
"requestBodyTemplate": "requestBodyTemplate",
"toolName": "toolName"
},
"mcp": {
"toolDescription": "toolDescription",
"toolName": "toolName",
"toolTitle": "toolTitle"
}
},
"description": "description",
"parameters": {
"foo": "bar"
},
"status": "TOOL_STATUS_UNSPECIFIED",
"requiresApproval": true
},
"info": {
"createdBy": {
"metadata": {
"id": "id",
"accountId": "accountId",
"name": "name",
"profileId": "profileId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"spec": {
"type": "PROFILE_TYPE_USER",
"email": "email",
"name": "name"
}
},
"toolSet": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"name": "name",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
}
}
}
],
"pagination": {
"nextCursor": "nextCursor",
"total": 0
}
}